From: <a href="/blend/av.cgi?id=220">wolfscreamer</a><BR>
Date: 3 June 2012<P>

Kirk, about <a href="/blend/wv.cgi?id=2012.06.01.09.23.24473">keys and money</a>:<BR>
<BR>
I smiled at this.
<HR>
From: <a href="/blend/av.cgi?id=2093">HaremGirl</a><BR>
Date: 3 June 2012<P>

B.K., about <a href="/blend/wv.cgi?id=2012.06.02.13.27.9763">Hibiscus Pie (with a little blue pansy)</a>:<BR>
<BR>
Love this line - <BR>
"How does one patch an earthquake?"<BR>
<BR>
....  Love it.<BR>
<BR>
Funny - but I just ordered "Hibiscus" <BR>
swim trunks from OP (Ocean Pacific)<BR>
for one of my grandsons. and now here<BR>
 you have that word in your poem...  <BR>
<BR>
.
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 3 June 2012<P>

(morphin') Satu, about <a href="/blend/wv.cgi?id=2012.06.03.10.36.18365">makin' love in the kitchen</a>:<BR>
<BR>
I like this one a lot Jane Doe. <BR>
<BR>
bk
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 3 June 2012<P>

Thanks Harem Girl, I bought hibiscus and they were so lovely I had to take their picture and show them to everyone.<BR>
<BR>
bk 
<HR>